package com.ruoyi.framework.security;

import com.ruoyi.common.enums.AccountType;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.GrantedAuthority;

import javax.security.auth.Subject;
import java.util.Collection;

/**
 * 带账号类型的Token认证
 */
public class TypeUsernamePasswordAuthenticationToken extends UsernamePasswordAuthenticationToken {
    private final AccountType type;

    public TypeUsernamePasswordAuthenticationToken(Object principal, Object credentials, AccountType type) {
        super(principal, credentials);
        this.type = type;
    }

    public TypeUsernamePasswordAuthenticationToken(Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities, AccountType type) {
        super(principal, credentials, authorities);
        this.type = type;
    }

    @Override
    public boolean implies(Subject subject) {
        return super.implies(subject);
    }

    public AccountType getType() {
        return type;
    }
}
