package com.ruoyi.framework.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * 短信验证码对象 platform_sms
 *
 * @author ruoyi
 * @date 2023-02-09
 */
@TableName("platform_sms")
public class Sms extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 中国大陆手机号
     */
    @Excel(name = "中国大陆手机号")
    @NotBlank(message = "手机号不能为空")
    @Pattern(message = "手机号不合法", regexp = "^1(3\\d|4[5-9]|5[0-35-9]|6[2567]|7[0-8]|8\\d|9[0-35-9])\\d{8}$")
    private String mobile;

    /**
     * 6位数字
     */
    @Excel(name = "6位数字")
    private String code;

    /**
     * 未发送或发送失败为空
     */
    @Excel(name = "未发送或发送失败为空")
    private Date sendtime;

    /**
     * 未发送或发送失败为空
     */
    @Excel(name = "未发送或发送失败为空")
    private Date deadtime;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String error;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getMobile() {
        return mobile;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setSendtime(Date sendtime) {
        this.sendtime = sendtime;
    }

    public Date getSendtime() {
        return sendtime;
    }

    public void setDeadtime(Date deadtime) {
        this.deadtime = deadtime;
    }

    public Date getDeadtime() {
        return deadtime;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getError() {
        return error;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("mobile", getMobile())
                .append("code", getCode())
                .append("sendtime", getSendtime())
                .append("deadtime", getDeadtime())
                .append("error", getError())
                .append("remark", getRemark())
                .toString();
    }
}
