package com.ruoyi.framework.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.framework.domain.Sms;

import java.util.List;

/**
 * 短信验证码Mapper接口
 *
 * @author ruoyi
 * @date 2023-02-09
 */
public interface SmsMapper extends BaseMapper<Sms> {
    /**
     * 查询短信验证码
     *
     * @param id 短信验证码主键
     * @return 短信验证码
     */
    public Sms selectSmsById(Long id);

    /**
     * 查询短信验证码列表
     *
     * @param Sms 短信验证码
     * @return 短信验证码集合
     */
    public List<Sms> selectSmsList(Sms Sms);

    /**
     * 新增短信验证码
     *
     * @param Sms 短信验证码
     * @return 结果
     */
    public int insertSms(Sms Sms);

    /**
     * 修改短信验证码
     *
     * @param Sms 短信验证码
     * @return 结果
     */
    public int updateSms(Sms Sms);

    /**
     * 删除短信验证码
     *
     * @param id 短信验证码主键
     * @return 结果
     */
    public int deleteSmsById(Long id);

    /**
     * 批量删除短信验证码
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmsByIds(Long[] ids);
}
