package com.ruoyi.framework.service;

import com.ruoyi.framework.domain.Sms;

import java.util.List;

/**
 * 短信验证码Service接口
 *
 * @author ruoyi
 * @date 2023-02-09
 */
public interface ISmsService {
    /**
     * 查询短信验证码
     *
     * @param id 短信验证码主键
     * @return 短信验证码
     */
    public Sms selectSmsById(Long id);

    /**
     * 查询短信验证码列表
     *
     * @param Sms 短信验证码
     * @return 短信验证码集合
     */
    public List<Sms> selectSmsList(Sms Sms);

    /**
     * 新增短信验证码
     *
     * @param Sms 短信验证码
     * @return 结果
     */
    public int insertSms(Sms Sms);

    /**
     * 修改短信验证码
     *
     * @param Sms 短信验证码
     * @return 结果
     */
    public int updateSms(Sms Sms);

    /**
     * 批量删除短信验证码
     *
     * @param ids 需要删除的短信验证码主键集合
     * @return 结果
     */
    public int deleteSmsByIds(Long[] ids);

    /**
     * 删除短信验证码信息
     *
     * @param id 短信验证码主键
     * @return 结果
     */
    public int deleteSmsById(Long id);

    /**
     * 发送短信验证码
     *
     * @param mobile  手机号
     * @param integer
     * @return 结果
     */
    public String send(String mobile, Integer integer);

    public Sms querySms(String mobile, String code);
}
