package com.ruoyi.platform.service;


import com.ruoyi.platform.domain.PlatformAddress;

import java.util.List;

/**
 * 收货地址Service接口
 *
 * @author ruoyi
 * @date 2023-01-13
 */
public interface IPlatformAddressService {
    /**
     * 查询收货地址
     *
     * @param id 收货地址主键
     * @return 收货地址
     */
    public PlatformAddress selectPlatformAddressById(Long id);

    /**
     * 查询收货地址列表
     *
     * @param platformAddress 收货地址
     * @return 收货地址集合
     */
    public List<PlatformAddress> selectPlatformAddressList(PlatformAddress platformAddress);

    /**
     * 新增收货地址
     *
     * @param platformAddress 收货地址
     * @return 结果
     */
    public int insertPlatformAddress(PlatformAddress platformAddress);

    /**
     * 修改收货地址
     *
     * @param platformAddress 收货地址
     * @return 结果
     */
    public int updatePlatformAddress(PlatformAddress platformAddress);

    /**
     * 批量删除收货地址
     *
     * @param ids 需要删除的收货地址主键集合
     * @return 结果
     */
    public int deletePlatformAddressByIds(Long[] ids);

    /**
     * 删除收货地址信息
     *
     * @param id 收货地址主键
     * @return 结果
     */
    public int deletePlatformAddressById(Long id);
}
