package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.PlatformFollower;

import java.util.List;

/**
 * 粉丝Service接口
 *
 * @author ruoyi
 * @date 2023-01-13
 */
public interface IPlatformFollowerService {
    /**
     * 查询粉丝
     *
     * @param id 粉丝主键
     * @return 粉丝
     */
    public PlatformFollower selectPlatformFollowerById(Long id);

    /**
     * 查询粉丝列表
     *
     * @param platformFollower 粉丝
     * @return 粉丝集合
     */
    public List<PlatformFollower> selectPlatformFollowerList(Long userId);

    /**
     * 新增粉丝
     *
     * @param platformFollower 粉丝
     * @return 结果
     */
    public int insertPlatformFollower(PlatformFollower platformFollower);

    /**
     * 修改粉丝
     *
     * @param platformFollower 粉丝
     * @return 结果
     */
    public int updatePlatformFollower(PlatformFollower platformFollower);

    /**
     * 批量删除粉丝
     *
     * @param ids 需要删除的粉丝主键集合
     * @return 结果
     */
    public int deletePlatformFollowerByIds(Long[] ids);

    /**
     * 删除粉丝信息
     *
     * @param id 粉丝主键
     * @return 结果
     */
    public int deletePlatformFollowerById(Long id);
}
