package com.ruoyi.store.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.store.domain.StoreAccount;

import java.util.List;

public interface StoreAccountMapper extends BaseMapper<StoreAccount> {
    /**
     * 查询店家账号
     *
     * @param storeid 店家账号主键
     * @return 店家账号
     */
    public StoreAccount selectStoreAccountByStoreid(Long storeid);

    /**
     * 查询店家账号列表
     *
     * @param StoreAccount 店家账号
     * @return 店家账号集合
     */
    public List<StoreAccount> selectStoreAccountList(StoreAccount StoreAccount);

    /**
     * 新增店家账号
     *
     * @param StoreAccount 店家账号
     * @return 结果
     */
    public int insertStoreAccount(StoreAccount StoreAccount);

    /**
     * 修改店家账号
     *
     * @param StoreAccount 店家账号
     * @return 结果
     */
    public int updateStoreAccount(StoreAccount StoreAccount);

    /**
     * 删除店家账号
     *
     * @param storeid 店家账号主键
     * @return 结果
     */
    public int deleteStoreAccountByStoreid(Long storeid);

    /**
     * 批量删除店家账号
     *
     * @param storeids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStoreAccountByStoreids(Long[] storeids);
}
