package com.ruoyi.store.service;


import com.ruoyi.store.domain.StoreAccount;
import com.ruoyi.store.domain.vo.StoreAccountVo;

import java.util.List;

/**
 * 店家账号Service接口
 *
 * @author ruoyi
 * @date 2023-02-10
 */
public interface IStoreAccountService {
    /**
     * 查询店家账号
     *
     * @param storeid 店家账号主键
     * @return 店家账号
     */
    public StoreAccount selectStoreAccountByStoreid(Long storeid);

    /**
     * 查询店家账号列表
     *
     * @param StoreAccount 店家账号
     * @return 店家账号集合
     */
    public List<StoreAccount> selectStoreAccountList(StoreAccount StoreAccount);

    /**
     * 新增店家账号
     *
     * @param StoreAccount 店家账号
     * @return 结果
     */
    public int insertStoreAccount(StoreAccount StoreAccount);

    /**
     * 修改店家账号
     *
     * @param StoreAccount 店家账号
     * @return 结果
     */
    public int updateStoreAccount(StoreAccount StoreAccount);

    /**
     * 批量删除店家账号
     *
     * @param storeids 需要删除的店家账号主键集合
     * @return 结果
     */
    public int deleteStoreAccountByStoreids(Long[] storeids);

    /**
     * 删除店家账号信息
     *
     * @param storeid 店家账号主键
     * @return 结果
     */
    public int deleteStoreAccountByStoreid(Long storeid);

    public String register(StoreAccountVo account);

    /**
     * 手机号查询店家账号
     *
     * @param mobile
     * @return
     */
    public StoreAccount selectAccountByMobile(String mobile);

    String resetpwd(StoreAccountVo account);
}
